Bug 1028057 - Improve detection of the right domain when processing group with members from several domains
Improve detection of the right domain when processing group with members from...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 09:56 EST by Dmitri Pal
Modified: 2014-06-18 00:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.11.2-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-11-07 09:56:14 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2132

Currently the detection of what domain the group member belongs to in case a group contains members from master domain and subdomain is hackish. We need to improve it as a subtask of 2064#
Comment 1 Jakub Hrozek 2013-11-29 10:22:14 EST
Fixed upstream:
    master:
        cebdc563a094d305b91da5b5af4d95d8e3a1bf27
        2743db79b1d1f72ba7aaafde02e3f0b888e6dacd 
    sssd-1-11:
        d0f9bd3ac24b97b85126c880cf8fe99a356cb5a3
        7417b20fb2755c12c372e288e3c8a64113f6c9a3
Comment 3 Kaushik Banerjee 2014-01-27 22:34:35 EST
Verified in version 1.11.2-32.el7

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_02: bz 1028057 1002597 User and group memberships from different domains
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'getent group group2_dom2@sssdad_tree.com | grep user1_dom2 | grep user2_dom1 | grep user2_dom3' (Expected 0, got 0)
:: [   PASS   ] :: Running 'id user3_dom3@child1.sssdad.com | grep group3_dom3 | grep group3_dom2 | grep group3_dom1' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 1m 28s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_02: bz 1002597 User and group memberships from different domains
Comment 4 Ludek Smid 2014-06-13 08:19:39 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.